Bug 838268 - [abrt] inkscape-0.48.2-5.fc17: __GI_raise: Process /usr/bin/inkscape was killed by signal 6 (SIGABRT)
[abrt] inkscape-0.48.2-5.fc17: __GI_raise: Process /usr/bin/inkscape was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:ded54ce443cd06ca693c1a27d22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 02:09 EDT by Nicolas Silva
Modified: 2013-07-31 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.77 KB, text/plain)
2012-07-08 02:09 EDT, Nicolas Silva
no flags Details
File: maps (57.97 KB, text/plain)
2012-07-08 02:09 EDT, Nicolas Silva
no flags Details
File: dso_list (12.13 KB, text/plain)
2012-07-08 02:09 EDT, Nicolas Silva
no flags Details
File: build_ids (4.96 KB, text/plain)
2012-07-08 02:09 EDT, Nicolas Silva
no flags Details

  None (edit)
Description Nicolas Silva 2012-07-08 02:09:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        inkscape /home/nico/Dropbox/theme.svg
comment:        Tried to use the option to generate gears in inkscape and inkscape crashed.
crash_function: __GI_raise
executable:     /usr/bin/inkscape
kernel:         3.4.4-3.fc17.x86_64
pid:            3784
pwd:            /home/nico
time:           Sun 08 Jul 2012 12:12:53 AM EDT
uid:            1000
username:       nico
var_log_messages: Jul  8 00:12:54 localhost abrt[3924]: Saved core dump of pid 3784 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-07-08-00:12:53-3784 (207282176 bytes)

backtrace:      Text file, 47895 bytes
build_ids:      Text file, 5084 bytes
dso_list:       Text file, 12417 bytes
maps:           Text file, 59358 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nico/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 __GI_raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 __GI_abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68867 g_assertion_message libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68d84 g_assertion_message_expr libglib-2.0.so.0 -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x51ff89 Inkscape::XML::SimpleDocument::commitUndoable() [exe] -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x526370 sp_repr_commit_undoable(Inkscape::XML::Document*) [exe] -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x2860fb sp_document_set_undo_sensitive(SPDocument*, [exe] -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x2842a0 SPDocument::_updateDocument() [exe] -
:6f92710190a2c79bbb5c714d03027b99245e2476 0x284389 - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_dispatch libglib-2.0.so.0 -

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=3784
:GPG_AGENT_INFO=/run/user/nico/keyring-T2bLin/gpg:0:1
:TERM=dumb
:SHELL=/bin/zsh
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/nico/keyring-T2bLin
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=nico
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:SSH_AUTH_SOCK=/run/user/nico/keyring-T2bLin/ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=nico
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1087,unix/unix:/tmp/.ICE-unix/1087
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-inkscape.desktop
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/nico/bin:/usr/local/sbin:/usr/sbin
:MAIL=/var/spool/mail/nico
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/nico
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1083
:GDM_LANG=en_US.utf8
:XSUNSMESIZE=512
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=0
:HOME=/home/nico
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=nico
:CVS_RSH=ssh
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UxwRnSDYty,guid=870f849d425165a58b0e4bc900000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/nico
:XAUTHORITY=/var/run/gdm/auth-for-nico-uyHrYW/database
:CCACHE_HASHDIR=
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/nico/.mozilla/firefox/Crash Reports'
:MOZ_LAUNCHED_CHILD=
:XRE_PROFILE_PATH=
:XRE_PROFILE_LOCAL_PATH=
:XRE_PROFILE_NAME=
:XRE_START_OFFLINE=
:NO_EM_RESTART=
:XUL_APP_FILE=
:XRE_BINARY_PATH=
:DESKTOP_STARTUP_ID=nautilus-3761-localhost.localdomain-inkscape-0_TIME36070406

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62791                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62791                62791                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/nico/.xsession-errors
:pos:	8412
:flags:	0102002
:2:/home/nico/.xsession-errors
:pos:	8412
:flags:	0102002
:3:socket:[81971]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[81972]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:/tmp/ink_ext_XXXXXX.svgNRBAHW
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 3485ca04-247c-4f91-983a-5d77512652e9
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5582.10
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7870
:System Swap: 10924
:Vendor: LENOVO
:System: 4178A57 ThinkPad T420
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8654) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8654) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8654) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8654) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(4480:59442:6058:8654) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8654) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8654) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8654) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8654) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 13091009 9918734 9787684 3276800 2934665 2934665
:/dev/sda1 /boot ext4 1024 1024 508644 398855 373255 128016 127655 127655
:/dev/mapper/vg-lv_home /home ext4 4096 4096 23252376 4880542 3716050 5824512 4955543 4955543
:

xsession_errors:
:If you can reproduce this crash, please file a bug at www.inkscape.org
:(inkscape:3999): Gtk-CRITICAL **: IA__gtk_widget_get_visible: assertion `GTK_IS_WIDGET (widget)' failed
Comment 1 Nicolas Silva 2012-07-08 02:09:42 EDT
Created attachment 596843 [details]
File: backtrace
Comment 2 Nicolas Silva 2012-07-08 02:09:45 EDT
Created attachment 596844 [details]
File: maps
Comment 3 Nicolas Silva 2012-07-08 02:09:47 EDT
Created attachment 596845 [details]
File: dso_list
Comment 4 Nicolas Silva 2012-07-08 02:09:48 EDT
Created attachment 596846 [details]
File: build_ids
Comment 5 Fedora Admin XMLRPC Client 2012-10-03 13:38:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-07-03 19:46:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 22:43:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.